BP_REVTRANS-MOTIF(1)

NAME
revtrans-motif - Reverse translate a Profam-like protein motif

VERSION
Version 0.01

SYNOPSIS
From a file:

    revtrans-motif.pl -i motifs.txt

Using pipes:

   revtrans-motif.pl < motifs.txt > output.txt

Using interactively at the command prompt:

   $ revtrans-motif.pl
   MAAEEL[VIKP]
   1.   ATGGCNGCNGARGARYTNVHN
   [^P]H(IW){2,3}
   2.   NDNCAY(ATHTGG){2,3}

DESCRIPTION
This script takes a protein motif as input and returns a degenerate oligonucleotide sequence corresponding to it. The main reason for doing this is to design degenerate primers that amplify a given sequence pattern.

The input motif consists of a string of one-letter residues, with any of the following syntactic elements:

[...] : Redundant position.
    A position in which more than one residue is allowed. Example:

        [TS]YW[RKSD]
         ^^    ^^^^

[^...] : Negated position.
    A position in which any residue is allowed, saved for those between brackets. Example:

        [^PW]MK[LAE]
          ^^

(...){n,m,...} : Repeated motif.
    A motif that is repeated n or m times. It can have any of the previous syntactic elements. Example:

        A[SN]C(TXX){2,4,8}
               ^^^

The allowed letters are those that correspond to the 20 natural aminoacids, plus:

    B = N + D
    Z = Q + E
    X = All

OPTIONS

  -i input-file:
A file with a list of motifs to reverse translate.

  -h
Display this help message.

AUTHOR
Bruno Vecchi, "vecchi.b at gmail.com"

BUGS
Please report any bugs or feature requests to "vecchi.b at gmail.com"

COPYRIGHT & LICENSE
Copyright 2009 Bruno Vecchi, all rights reserved.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.